# List Existing Access

List `RoleBinding` objects for the user across all namespaces :&#x20;

```
kubectl get rolebindings >-all-namespaces \
  -o jsonpath='{range .items[*]}{.metadata.namespace}{"\t"}
{.metadata.name}{"\t"}{.roleRef.name}{"\t"}{range .subjects[*]}{.kind}:
{.name}{","}{end}{"\n"}{end}' \
  | awk -F '\t' '$4 ~ /(^|,)User><USERNAME>(,|$)/ {print $1 "\t" $2 "\t" 
$3}' \
  | column -t
```

List `ClusterRoleBinding` objects for the user :&#x20;

```
kubectl get clusterrolebindings \
  -o jsonpath='{range .items[*]}{.metadata.name}{"\t"}{.roleRef.name}
{"\t"}{range .subjects[*]}{.kind}:{.name}{","}{end}{"\n"}{end}' \
  | awk -F '\t' '$3 ~ /(^|,)User><USERNAME>(,|$)/ {print $1 "\t" $2}' \
  | column -t
```

{% hint style="info" %}
TIP\
These filters inspect every subject on each binding. They do not assume the user appears\
in `subjects[0]`
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/guidance-for-individual/reference/kubernetes-user-creation-with-rbac/list-existing-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
